summaryrefslogtreecommitdiffstats
path: root/www/gn/scripts
diff options
context:
space:
mode:
authoradam <adam@FreeBSD.org>1994-09-23 20:25:10 +0000
committeradam <adam@FreeBSD.org>1994-09-23 20:25:10 +0000
commit0443f9b6dcef273bc4a87ea8ec26adf4a90dc855 (patch)
treefca89356562a47b69282e50bd93b93d638426cd5 /www/gn/scripts
parent8ea6202cca57405d3083f783d11cf91268cafb11 (diff)
downloadFreeBSD-ports-0443f9b6dcef273bc4a87ea8ec26adf4a90dc855.zip
FreeBSD-ports-0443f9b6dcef273bc4a87ea8ec26adf4a90dc855.tar.gz
GN gopher and http server
Diffstat (limited to 'www/gn/scripts')
-rw-r--r--www/gn/scripts/configure24
1 files changed, 24 insertions, 0 deletions
diff --git a/www/gn/scripts/configure b/www/gn/scripts/configure
new file mode 100644
index 0000000..a2cd84f
--- /dev/null
+++ b/www/gn/scripts/configure
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+if [ $# -ne 3 ]; then
+ echo "This script should only be run by the Makefile."
+ exit 1
+fi
+
+# First arg is top level ports directory, second is current directory,
+# third is the directory containing the dist.
+#
+PDIR=$1
+CDIR=$2
+WDIR=$3
+
+hostname=`hostname`
+echo -n "Hostname of server machine? [$hostname] "
+read answer; if [ X$answer != X ]; then hostname=$answer; fi
+maintainer="mailto:www-admin@$hostname"
+echo -n "URL to default WWW admin? [$maintainer] "
+read answer; if [ X$answer != X ]; then maintainer=$answer; fi
+sed -e "/GN_HOSTNAME/s/\".*\"/\"$hostname\"/" \
+ -e "/MAINTAINER/s/\".*\"/\"$maintainer\"/" \
+ $WDIR/config.h >$WDIR/config.h.foo
+mv $WDIR/config.h.foo $WDIR/config.h
OpenPOWER on IntegriCloud